<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="生产产线基础信息管理">




	<query id="CorePermissionConfigure.doQuery" desc="判断是否允许增加子项">
		<![CDATA[
				SELECT T.ID, T.NAME, T.REMARK, T.DEPTID, T.DATAFLAG FROM CORE_APP_SROLE T
			WHERE T.NAME LIKE '%'||?||'%'
		]]>
	</query>
	
	<query id="CorePermissionConfigure.QueryUserInfo" desc="判断是否允许增加子项">
		<![CDATA[
			SELECT T1.USER_ID,T2.USERNAME FROM CORE_APP_USER_ROLE T1,CORE_APP_USER T2 
			WHERE T1.USER_ID=T2.USERID AND T1.ROLE_ID=?
		]]>
	</query>

	<query id="CorePermissionConfigure.getPageRole" desc="判断是否允许增加子项">
		<![CDATA[
				SELECT T.PAGE_ID FROM APP_PAGE_ROLE T
			WHERE T.ROLE_ID = ?
		]]>
	</query>
	
	<query id="CorePermissionConfigure.doDelete" desc="判断是否允许增加子项">
		<![CDATA[
				DELETE  APP_PAGE_ROLE T
			WHERE T.ROLE_ID = ?
		]]>
	</query>
	
	<query id="CorePermissionConfigure.doSave" desc="基础信息新增">
        <![CDATA[
            INSERT INTO APP_PAGE_ROLE
						  (ROLE_ID,
						   PAGE_ID,
						   CREATE_USERID,
						   CREATE_NAME,
						   CREATE_TIME)
						VALUES
						  (?, ?, ?, ?, SYSDATE)
        ]]>
	</query>

</queryMap>